// BtripSet.cpp : implementation file
//

#include "stdafx.h"
#include "Btrips.h"
#include "BtripSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBtripSet

IMPLEMENT_DYNAMIC(CBtripSet, CRecordset)

CBtripSet::CBtripSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CBtripSet)
	m_ID = 0;
	m_ID_PERSON = 0;
	m_ID_DIVISION = 0;
	m_CODE = _T("");
	m_TOWN = _T("");
	m_ORGANIZATION = _T("");
	m_TARGET = _T("");
	m_TRAIN = _T("");
	m_LETTER = _T("");
	m_CLOSED = _T("");
	m_nFields = 14;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CBtripSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=IB_Btrip");
}

CString CBtripSet::GetDefaultSQL()
{
	return _T("[BTRIPS]");
}

void CBtripSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CBtripSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	RFX_Long(pFX, _T("[ID_PERSON]"), m_ID_PERSON);
	RFX_Long(pFX, _T("[ID_DIVISION]"), m_ID_DIVISION);
	RFX_Text(pFX, _T("[CODE]"), m_CODE);
	RFX_Text(pFX, _T("[TOWN]"), m_TOWN);
	RFX_Text(pFX, _T("[ORGANIZATION]"), m_ORGANIZATION);
	RFX_Text(pFX, _T("[TARGET]"), m_TARGET);
	RFX_Text(pFX, _T("[TRAIN]"), m_TRAIN);
	RFX_Date(pFX, _T("[OUTDATE]"), m_OUTDATE);
	RFX_Date(pFX, _T("[INDATE]"), m_INDATE);
	RFX_Date(pFX, _T("[OUTDATEFACT]"), m_OUTDATEFACT);
	RFX_Date(pFX, _T("[INDATEFACT]"), m_INDATEFACT);
	RFX_Text(pFX, _T("[LETTER]"), m_LETTER);
	RFX_Text(pFX, _T("[CLOSED]"), m_CLOSED);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CBtripSet diagnostics

#ifdef _DEBUG
void CBtripSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CBtripSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
