#if !defined(AFX_BTRIPSET_H__2CCAD0E3_ABA9_11D1_8C6C_E8C200000000__INCLUDED_)
#define AFX_BTRIPSET_H__2CCAD0E3_ABA9_11D1_8C6C_E8C200000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// BtripSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBtripSet recordset

class CBtripSet : public CRecordset
{
public:
	CBtripSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CBtripSet)

// Field/Param Data
	//{{AFX_FIELD(CBtripSet, CRecordset)
	long	m_ID;
	long	m_ID_PERSON;
	long	m_ID_DIVISION;
	CString	m_CODE;
	CString	m_TOWN;
	CString	m_ORGANIZATION;
	CString	m_TARGET;
	CString	m_TRAIN;
	CTime	m_OUTDATE;
	CTime	m_INDATE;
	CTime	m_OUTDATEFACT;
	CTime	m_INDATEFACT;
	CString	m_LETTER;
	CString	m_CLOSED;
	//}}AFX_FIELD


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBtripSet)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BTRIPSET_H__2CCAD0E3_ABA9_11D1_8C6C_E8C200000000__INCLUDED_)
