// BtripsView.h : interface of the CBtripsView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BTRIPSVIEW_H__22967E77_A0BD_11D1_8B27_204C4F4F5020__INCLUDED_)
#define AFX_BTRIPSVIEW_H__22967E77_A0BD_11D1_8B27_204C4F4F5020__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CAllDataSet;

class CBtripsView : public CListView
{
protected: // create from serialization only
	CBtripsView();
	void RefreshFilterMenu(UINT);
	DECLARE_DYNCREATE(CBtripsView)
	DECLARE_PRINTABLE(CBtripsView)

public:
	//{{AFX_DATA(CBtripsView)
	CAllDataSet* m_pSet;
	//}}AFX_DATA
	CDebtorsDlg m_debtorsDlg;

// Attributes
public:
	CBtripsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBtripsView)
	public:
	virtual CRecordset* OnGetRecordset();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	int nItemSelected;
	virtual ~CBtripsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBtripsView)
	afx_msg void OnItemchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclk(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnLeaving();
	afx_msg void OnArriving();
	afx_msg void OnPayments();
	afx_msg void OnFilterNofilter();
	afx_msg void OnFilterBydivision();
	afx_msg void OnFilterByperiod();
	afx_msg void OnFilterByperson();
	afx_msg void OnOperationsDelete();
	afx_msg void OnInfobaseDivisions();
	afx_msg void OnInfobasePersons();
	afx_msg void OnReportsDebtors();
	afx_msg void OnReportsJournal();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in BtripsView.cpp
inline CBtripsDoc* CBtripsView::GetDocument()
   { return (CBtripsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BTRIPSVIEW_H__22967E77_A0BD_11D1_8B27_204C4F4F5020__INCLUDED_)
