// DivisionDlg.cpp : implementation file
//

#include "stdafx.h"
#include "btrips.h"
#include "DivisionDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDivisionDlg dialog


CDivisionDlg::CDivisionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDivisionDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDivisionDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	pApp = (CBtripsApp *) AfxGetApp();
	m_pDvsnSet = &pApp->m_divisionSet;
	m_pDvsnSet->m_pDatabase = pApp->GetDatabase();
	if (!m_pDvsnSet->IsOpen())
		m_pDvsnSet->Open();
	m_pDvsnSet->Requery();
}


void CDivisionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDivisionDlg)
	DDX_Control(pDX, IDC_DIVISION_LIST, m_divisionsList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDivisionDlg, CDialog)
	//{{AFX_MSG_MAP(CDivisionDlg)
	ON_NOTIFY(LVN_ITEMCHANGED, IDC_DIVISION_LIST, OnDivisionListItemchanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDivisionDlg message handlers

BOOL CDivisionDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CString rcstr;

	int sel = 0;
	rcstr.LoadString(IDS_DIVISION_TITLE);
	m_divisionsList.InsertColumn(1, rcstr, LVCFMT_LEFT, 80);
	m_divisionsList.DeleteAllItems();
	int indx = 0;
	while (m_pDvsnSet->IsEOF() != TRUE)
	{
		m_divisionsList.InsertItem( indx, 
			m_pDvsnSet->m_TITLE);
		m_divisionsList.SetItemText( indx, 0,
					m_pDvsnSet->m_TITLE);
		m_divisionsList.SetItemData( indx, m_pDvsnSet->m_ID );
		indx += 1;
		m_pDvsnSet->MoveNext();
	}
	m_divisionsList.SetItemState( 0, 1, LVIS_SELECTED | LVIS_FOCUSED );
	nItemSelected = 0;
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDivisionDlg::OnDivisionListItemchanged(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_LISTVIEW* pNM = (NM_LISTVIEW*)pNMHDR;
	
	if ((pNM->uNewState && LVIS_SELECTED) && 
		(! pNM->uOldState && LVIS_SELECTED))
		nItemSelected = pNM->iItem;
	
	*pResult = 0;
}

void CDivisionDlg::OnOK() 
{
	m_pDvsnSet->m_ID = m_divisionsList.GetItemData( nItemSelected );
	
	CDialog::OnOK();
}
