begin 
journal(TO_DATE('01/06/1998','DD/MM/YYYY'),TO_DATE('30/06/1998','DD/MM/YYYY'));
end;

SELECT DISTINCT b.id_person, BALANCE(b.id_person, TO_DATE('31/05/1998','DD/MM/YYYY')) "Balance"
FROM BTRIPS B WHERE BALANCE(b.id_person, TO_DATE('31/05/1998','DD/MM/YYYY')) != 0;

CREATE VIEW Debtors
(ID, Name, FirstName, Title, Balance) AS
 SELECT DISTINCT b.id_person, P.Name, P.FirstName, D.Title, 
 BALANCE(b.id_person, TO_DATE('31/05/1998','DD/MM/YYYY')) Balance
 FROM Btrips B, Divisions D, Persons P
 WHERE p.id = b.id_person AND d.id = b.id_division AND
 BALANCE(b.id_person, TO_DATE('31/05/1998','DD/MM/YYYY')) != 0;

SET SERVEROUTPUT ON;

DECLARE
	bt_cnt NUMBER;
begin
FOR rec IN (SELECT DISTINCT id_person FROM BTRIPS)
LOOP
SELECT COUNT(*) INTO bt_cnt FROM BTRIPS
    WHERE id_person = rec.id_person AND
    outdatefact > TO_DATE('01/05/1998','DD/MM/YYYY') AND
    indatefact < TO_DATE('31/05/1998','DD/MM/YYYY');
dbms_output.put_line(TO_CHAR(bt_cnt));
END LOOP;
end;

