CREATE VIEW AllData
(ID, Code, ID_Division, ID_Person, Town, Organization, Target, Train,
 OutDate, InDate, OutDateFact, InDateFact, Letter, Closed, Title,
 Name, FirstName, SubName, Status, WorkTime) AS
 SELECT B.ID, B.Code, B.ID_Division, B.ID_Person, B.Town, B.Organization, B.Target, 
 B.Train, B.OutDate, B.InDate, B.OutDateFact, B.InDateFact, B.Letter, 
 B.Closed, D.Title, P.Name, P.FirstName, P.SubName, P.Status, P.WorkTime
 FROM Btrips B, Divisions D, Persons P
 WHERE B.ID_Division = D.ID AND B.ID_Person = P.ID;

CREATE VIEW AllPayments
(ID, ID_Btrip, PayDate, PaySum, PayTypeTitle) AS
 SELECT P.ID, P.ID_Btrip, P.PayDate, P.PaySum, T.Title
 FROM Payments P, PayTypes T
 WHERE P.PayType = T.ID;
