// PaymentSet.cpp : implementation file
//

#include "stdafx.h"
#include "btrips.h"
#include "PaymentSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPaymentSet

IMPLEMENT_DYNAMIC(CPaymentSet, CRecordset)

CPaymentSet::CPaymentSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CPaymentSet)
	m_ID = 0;
	m_ID_BTRIP = 0;
	m_PAYSUM = 0;
	m_PAYTYPE = 0;
	m_nFields = 5;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CPaymentSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=IB_Btrip");
}

CString CPaymentSet::GetDefaultSQL()
{
	return _T("[PAYMENTS]");
}

void CPaymentSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CPaymentSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	RFX_Long(pFX, _T("[ID_BTRIP]"), m_ID_BTRIP);
	RFX_Date(pFX, _T("[PAYDATE]"), m_PAYDATE);
	RFX_Long(pFX, _T("[PAYSUM]"), m_PAYSUM);
	RFX_Long(pFX, _T("[PAYTYPE]"), m_PAYTYPE);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CPaymentSet diagnostics

#ifdef _DEBUG
void CPaymentSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CPaymentSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
