// PersonSet.cpp : implementation file
//

#include "stdafx.h"
#include "Btrips.h"
#include "PersonSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPersonSet

IMPLEMENT_DYNAMIC(CPersonSet, CRecordset)

CPersonSet::CPersonSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CPersonSet)
	m_ID = 0;
	m_NAME = _T("");
	m_FIRSTNAME = _T("");
	m_SUBNAME = _T("");
	m_WORKPLACE = 0;
	m_STATUS = _T("");
	m_WORKTIME = 0;
	m_nFields = 7;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CPersonSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=IB_Btrip");
}

CString CPersonSet::GetDefaultSQL()
{
	return _T("[PERSONS]");
}

void CPersonSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CPersonSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	RFX_Text(pFX, _T("[NAME]"), m_NAME);
	RFX_Text(pFX, _T("[FIRSTNAME]"), m_FIRSTNAME);
	RFX_Text(pFX, _T("[SUBNAME]"), m_SUBNAME);
	RFX_Long(pFX, _T("[WORKPLACE]"), m_WORKPLACE);
	RFX_Text(pFX, _T("[STATUS]"), m_STATUS);
	RFX_Long(pFX, _T("[WORKTIME]"), m_WORKTIME);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CPersonSet diagnostics

#ifdef _DEBUG
void CPersonSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CPersonSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
