// AllDataSet.cpp : implementation of the CAllDataSet class
//

#include "stdafx.h"
#include "Btrips.h"
#include "AllDataSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAllDataSet implementation

IMPLEMENT_DYNAMIC(CAllDataSet, CRecordset)

CAllDataSet::CAllDataSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CAllDataSet)
	m_ID = 0;
	m_CODE = _T("");
	m_ID_PERSON = 0;
	m_TOWN = _T("");
	m_ORGANIZATION = _T("");
	m_TARGET = _T("");
	m_TRAIN = _T("");
	m_OUTDATE = 0;
	m_INDATE = 0;
	m_OUTDATEFACT = 0;
	m_INDATEFACT = 0;
	m_LETTER = _T("");
	m_CLOSED = _T("");
	m_TITLE = _T("");
	m_NAME = _T("");
	m_FIRSTNAME = _T("");
	m_SUBNAME = _T("");
	m_STATUS = _T("");
	m_WORKTIME = 0;
	m_ID_DIVISION = 0;
	m_nFields = 20;
	//}}AFX_FIELD_INIT
//	m_nDefaultType = dynaset;
	m_nDefaultType = snapshot;
}

CString CAllDataSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=IB_Btrip");
}

CString CAllDataSet::GetDefaultSQL()
{
	return _T("[ALLDATA]");
}

void CAllDataSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CAllDataSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	RFX_Text(pFX, _T("[CODE]"), m_CODE);
	RFX_Long(pFX, _T("[ID_PERSON]"), m_ID_PERSON);
	RFX_Text(pFX, _T("[TOWN]"), m_TOWN);
	RFX_Text(pFX, _T("[ORGANIZATION]"), m_ORGANIZATION);
	RFX_Text(pFX, _T("[TARGET]"), m_TARGET);
	RFX_Text(pFX, _T("[TRAIN]"), m_TRAIN);
	RFX_Date(pFX, _T("[OUTDATE]"), m_OUTDATE);
	RFX_Date(pFX, _T("[INDATE]"), m_INDATE);
	RFX_Date(pFX, _T("[OUTDATEFACT]"), m_OUTDATEFACT);
	RFX_Date(pFX, _T("[INDATEFACT]"), m_INDATEFACT);
	RFX_Text(pFX, _T("[LETTER]"), m_LETTER);
	RFX_Text(pFX, _T("[CLOSED]"), m_CLOSED);
	RFX_Text(pFX, _T("[TITLE]"), m_TITLE);
	RFX_Text(pFX, _T("[NAME]"), m_NAME);
	RFX_Text(pFX, _T("[FIRSTNAME]"), m_FIRSTNAME);
	RFX_Text(pFX, _T("[SUBNAME]"), m_SUBNAME);
	RFX_Text(pFX, _T("[STATUS]"), m_STATUS);
	RFX_Long(pFX, _T("[WORKTIME]"), m_WORKTIME);
	RFX_Long(pFX, _T("[ID_DIVISION]"), m_ID_DIVISION);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CAllDataSet diagnostics

#ifdef _DEBUG
void CAllDataSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CAllDataSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
