// AllDataSet.h : interface of the CAllDataSet class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ALLDATASET_H__22967E79_A0BD_11D1_8B27_204C4F4F5020__INCLUDED_)
#define AFX_ALLDATASET_H__22967E79_A0BD_11D1_8B27_204C4F4F5020__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CAllDataSet : public CRecordset
{
public:
	CAllDataSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CAllDataSet)

// Field/Param Data
	//{{AFX_FIELD(CAllDataSet, CRecordset)
	long	m_ID;
	CString	m_CODE;
	long	m_ID_PERSON;
	CString	m_TOWN;
	CString	m_ORGANIZATION;
	CString	m_TARGET;
	CString	m_TRAIN;
	CTime	m_OUTDATE;
	CTime	m_INDATE;
	CTime	m_OUTDATEFACT;
	CTime	m_INDATEFACT;
	CString	m_LETTER;
	CString	m_CLOSED;
	CString	m_TITLE;
	CString	m_NAME;
	CString	m_FIRSTNAME;
	CString	m_SUBNAME;
	CString	m_STATUS;
	long	m_WORKTIME;
	long	m_ID_DIVISION;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAllDataSet)
	public:
	virtual CString GetDefaultConnect();	// Default connection string
	virtual CString GetDefaultSQL(); 	// default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);	// RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ALLDATASET_H__22967E79_A0BD_11D1_8B27_204C4F4F5020__INCLUDED_)
