// DivisionSet.cpp : implementation file
//

#include "stdafx.h"
#include "Btrips.h"
#include "DivisionSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDivisionSet

IMPLEMENT_DYNAMIC(CDivisionSet, CRecordset)

CDivisionSet::CDivisionSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CDivisionSet)
	m_ID = 0;
	m_TITLE = _T("");
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CDivisionSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=IB_Btrip");
}

CString CDivisionSet::GetDefaultSQL()
{
	return _T("[DIVISIONS]");
}

void CDivisionSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CDivisionSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	RFX_Text(pFX, _T("[TITLE]"), m_TITLE);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CDivisionSet diagnostics

#ifdef _DEBUG
void CDivisionSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CDivisionSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
