// PayTypeSet.cpp : implementation file
//

#include "stdafx.h"
#include "btrips.h"
#include "PayTypeSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPayTypeSet

IMPLEMENT_DYNAMIC(CPayTypeSet, CRecordset)

CPayTypeSet::CPayTypeSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CPayTypeSet)
	m_TITLE = _T("");
	m_ID = 0;
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CPayTypeSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=IB_Btrip");
}

CString CPayTypeSet::GetDefaultSQL()
{
	return _T("[PAYTYPES]");
}

void CPayTypeSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CPayTypeSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Text(pFX, _T("[TITLE]"), m_TITLE);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CPayTypeSet diagnostics

#ifdef _DEBUG
void CPayTypeSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CPayTypeSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
