// PaymentsSet.cpp : implementation file
//

#include "stdafx.h"
#include "btrips.h"
#include "PaymentsSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPaymentsSet

IMPLEMENT_DYNAMIC(CPaymentsSet, CRecordset)

CPaymentsSet::CPaymentsSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CPaymentsSet)
	m_ID_BTRIP = 0;
	m_PAYSUM = 0;
	m_ID = 0;
	m_PAYTYPETITLE = _T("");
	m_nFields = 5;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CPaymentsSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=IB_Btrip");
}

CString CPaymentsSet::GetDefaultSQL()
{
	return _T("[ALLPAYMENTS]");
}

void CPaymentsSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CPaymentsSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ID_BTRIP]"), m_ID_BTRIP);
	RFX_Date(pFX, _T("[PAYDATE]"), m_PAYDATE);
	RFX_Long(pFX, _T("[PAYSUM]"), m_PAYSUM);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	RFX_Text(pFX, _T("[PAYTYPETITLE]"), m_PAYTYPETITLE);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CPaymentsSet diagnostics

#ifdef _DEBUG
void CPaymentsSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CPaymentsSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
